/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package hu.elte.fsz2014;

import com.opensymphony.xwork2.ActionSupport;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.util.ArrayList;
import javax.naming.InitialContext;
import javax.sql.DataSource;

/**
 *
 * @author menyhart
 */
public class Jegyzettomb extends ActionSupport {

    private ArrayList<Element> lista;
    
    @Override
    public String execute() {
        String ret = "error";
        Connection conn = null;
        PreparedStatement pstmt = null;
        ResultSet rs = null;
        try {
            InitialContext ic = new InitialContext();
            DataSource ds = (DataSource) ic.lookup("jdbc/jegyzet");
            conn = ds.getConnection();
            String sql = "SELECT * from jegyzet.elemek";
            pstmt = conn.prepareStatement(sql);
            rs = pstmt.executeQuery();
            setLista(new ArrayList<Element>());
            while (rs.next()) {
                Element e=new Element();
                e.setItem(rs.getString("ELEM"));
                e.setId(rs.getString("ID"));
                getLista().add(e);
            }
            rs.close();
            pstmt.close();
            conn.close();
            ret = "lista";
        } catch (Exception ex) {
            ex.printStackTrace();
        } finally {
            if (rs != null) {
                try {
                    rs.close();
                } catch (Exception ex) {
                }
            }
            if (pstmt != null) {
                try {
                    pstmt.close();
                } catch (Exception ex) {
                }
            }
            if (conn != null) {
                try {
                    conn.close();
                } catch (Exception ex) {
                }
            }
        }
        return ret;
    }
    
    

    /**
     * @return the lista
     */
    public ArrayList<Element> getLista() {
        return lista;
    }

    /**
     * @param lista the lista to set
     */
    public void setLista(ArrayList<Element> lista) {
        this.lista = lista;
    }

}
